Skip to main content
GET
/
v1
/
requests
/
{uid}
Retrieve a Request
curl --request GET \
  --url https://api.siit.io/v1/requests/{uid} \
  --header 'Authorization: Bearer <token>'
{
  "uid": "<string>",
  "admin_permalink_url": "<string>",
  "archived_at": "2023-11-07T05:31:56Z",
  "assignee_admin": "<string>",
  "assignee_admin_uid": "<string>",
  "assignee_inbox": "<string>",
  "assignee_inbox_uid": "<string>",
  "associated_apps": [
    "<string>"
  ],
  "associated_equipments": [
    "<string>"
  ],
  "attachments": [
    {
      "filename": "<string>",
      "url": "<string>"
    }
  ],
  "author": "<string>",
  "author_uid": "<string>",
  "completed_at": "2023-11-07T05:31:56Z",
  "completed_by": "<string>",
  "completed_by_uid": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "custom_form_inputs": [
    {
      "kind": "attachment",
      "label": "<string>",
      "value": "<string>"
    }
  ],
  "description": "<string>",
  "follower_uids": [
    "<string>"
  ],
  "followers": [
    "<string>"
  ],
  "friendly_id": "<string>",
  "mode": "private",
  "priority": "low",
  "requested_by": "<string>",
  "requested_by_uid": "<string>",
  "slack_channel_id": "<string>",
  "slack_direct_link": "<string>",
  "slack_thread_ts": "<string>",
  "slack_ts": "<string>",
  "sla_data": {
    "first_completed_at": "2023-11-07T05:31:56Z",
    "first_replied_at": "2023-11-07T05:31:56Z"
  },
  "status": "open",
  "submitted_from": "employee_portal",
  "tag_uids": [
    "<string>"
  ],
  "tags": [
    "<string>"
  ],
  "target": "<string>",
  "target_uid": "<string>",
  "title": "<string>",
  "updated_at": "2023-11-07T05:31:56Z"
}

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID (or friendly_id) of the request

Response

Request show

uid
string

The UID of the Request

The link to the request in Siit admin dashboard

archived_at
string<date-time> | null

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

assignee_admin

The admin user assigned to this request. Pass ?expand[]=field_name for full object.

assignee_admin_uid
string | null
deprecated

DEPRECATED: Use assignee_admin instead. The UID of assigned User.

assignee_inbox

The team inbox assigned to this request. Pass ?expand[]=field_name for full object.

assignee_inbox_uid
string | null
deprecated

DEPRECATED: Use assignee_inbox instead. The UID of assigned Team inbox.

associated_apps

Apps associated with this request. Pass ?expand[]=field_name for full objects.

associated_equipments

Equipment associated with this request. Pass ?expand[]=field_name for full objects.

attachments
object[]

Array containing the request attachments

author

The author of the request. Can be a User, Workflow, or Agent. Pass ?expand[]=field_name for full object.

author_uid
string | null
deprecated

DEPRECATED: Use author instead. The UID of the author.

completed_at
string<date-time> | null

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

completed_by

The user who completed this request. Pass ?expand[]=field_name for full object.

completed_by_uid
string | null
deprecated

DEPRECATED: Use completed_by instead. The UID of the user that completed this request.

created_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

custom_form_inputs
object[] | null

Custom forms attached to this request

description
string | null

The description of the Request

follower_uids
string[] | null
deprecated

DEPRECATED: Use followers instead. Array containing the followers UIDs.

followers

Users following this request. Pass ?expand[]=field_name for full objects.

friendly_id
string

A friendly ID (REQ-xx) where xx is a sequential number

mode
enum<string>

Will be "public" only for Slack public threads (for now)

Available options:
private,
public
priority
enum<string>
Available options:
low,
medium,
high,
urgent
requested_by

The user who requested this ticket. Pass ?expand[]=field_name for full object.

requested_by_uid
string | null
deprecated

DEPRECATED: Use requested_by instead. The UID of the requester.

slack_channel_id
string | null

ID of the channel where the request was created

Slack message permalink

slack_thread_ts
string | null

Slack thread timestamp

slack_ts
string | null

Slack timestamp

sla_data
object

A Hash containing SLA data (only sent when Company has access to the feature)

status
enum<string>
default:open

Request status

Available options:
open,
in_progress,
waiting,
resolved,
archived
submitted_from
enum<string>

Describes how the request was submitted

Available options:
employee_portal,
slack,
mail,
ms_teams,
admin_dashboard,
workflow,
public_api,
external
tag_uids
string[] | null
deprecated

DEPRECATED: Use tags instead. Array containing the Request Tags UIDs.

tags

Tags associated with this request. Pass ?expand[]=field_name for full objects.

target

Service associated with this request. Pass ?expand[]=field_name for full object.

target_uid
string | null
deprecated

DEPRECATED: Use target instead. The UID of the associated Service.

title
string

The title of the Request

updated_at
string<date-time>

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")